COBRA(1)

NAME

cobra - A generator for Cobra based Applications

SYNOPSIS

cobra [OPTIONS]

DESCRIPTION

Cobra is a CLI library for Go that empowers applications. This application is a tool to generate the needed files to quickly create a Cobra application.

OPTIONS

-a, --author="YOUR NAME"
    Author name for copyright attribution

--config=""
    config file (default is $HOME/.cobra.yaml)

-l, --license=""
    Name of license for the project (can provide licensetext in config)

-b, --projectbase=""
    base project directory, e.g. github.com/spf13/

--viper[=true]
    Use Viper for configuration

SEE ALSO

cobra-add(1), cobra-init(1)